extends Control

var GAUGE_PREFIX = "jauge_"
var RELATIONS_PREFIX = "relation_"
var CHOICES_PREFIX = "choix_"

var gauges_names := ["travail", "education", "financier", "ecologie", "social"]
var relations_names := ["evelyne", "jm"]
var choices_names := ["tel_ouvert"]

var gauges := {}
var relations := {}
var choices := {}

func _ready():
	var definitions = Dialogic.get_definitions()
	# Get relations and gauges from variables
	for d in definitions["variables"]:
		for g in gauges_names:
			if d["name"] == GAUGE_PREFIX + g:
				gauges[g] = d
		for r in relations_names:
			if d["name"] == RELATIONS_PREFIX + r:
				relations[r] = d
		for c in choices_names:
			if d["name"] == CHOICES_PREFIX + c:
				choices[c] = d
	print(gauges)
	print("--")
	print(relations)
	print("--")
	print(choices)
